<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">

<html>
	<head>
		<title>JFLAP Tutorial</title>
	</head>
</html>
<!--@author Kyung Min (Jason) Lee-->
<body BGCOLOR="#82A6B9" onload="collapseAll();" >
	<h1>JFLAP Tutorial</h1>
<style type="text/css">
<DL>

<!--
body {
text-align:left;

}


h5 {
  text-indent: 25px;
}
#wrapper {
text-align:left;
margin:0 auto;
width:500px;
min-height:100px;
border:1px solid #ccc;
padding:30px;
}
a {
color:blue;
cursor:pointer;
}
#myvar {
border:1px solid #ccc;
background:#f2f2f2;
padding:20px;
}
-->

</style>
<script type="text/javascript">
<!--
function switchMenu(obj, img) {
	var el = document.getElementById(obj);
	if ( el.style.display != "none" ) {
		el.style.display = 'none';
                document.getElementById(img).src = "collapse.gif";
	}
	else {
		el.style.display = '';
                document.getElementById(img).src = "expand.gif";
	}
}

function collapseAll() {
document.getElementById("myvar1").style.display='none';
document.getElementById("myvar4").style.display='none';
document.getElementById("myvar5").style.display='none';
document.getElementById("myvar6").style.display='none';
document.getElementById("myvar8").style.display='none';

}
//-->
</script>
</head>
<div id="wrapper0">
	<p> <IMG Src=silverball.gif ALT="*">
	<a href="framebody.html" target="mainTutorial">HOME</a>
</div>

<div id="wrapper1">
	<p>	<IMG Src=silverball.gif ALT="*">

    <a onclick="switchMenu('myvar1');" title="Finite_Automata">Finite Automata</a></p>

	<div id="myvar1">
	<h5><li><a href="fa/createfa/fa.html" target="mainTutorial">Construct and Run</a></li></h5>
	<h5><li><a href="fa/trapstate/index.html" target="mainTutorial">Add Trap State to DFA</a></li></h5>
	<h5><li><a href="fa/nfa2dfa/index.html" target="mainTutorial">Convert to DFA</a></li></h5>
	<h5><li><a href="fa/dfa2mindfa/index.html" target="mainTutorial">Minimize DFA</a></li></h5>
	<h5><li><a href="fa/dfa2rg/index.html" target="mainTutorial">Convert FA to Grammar</a></li></h5>
	<h5><li><a href="fa/fa2re/index.html" target="mainTutorial">Convert FA to RE </a></li></h5>
	<h5><li><a href="fa/combine/index.html" target="mainTutorial">Combine Automata</a></li></h5>
	<h5><li><a href="fa/layout/index.html" target="mainTutorial">Layout Commands</a></li></h5>
	</div>
</div>

<div id="wrapper2">
	<p><IMG Src=silverball.gif ALT="">
	<a href="mealy/mealyMachines.html" target="mainTutorial">Mealy Machine</a>
</div>

<div id="wrapper3">
	<p><IMG Src=silverball.gif ALT="">
	<a href="mealy/mooreMachines.html" target="mainTutorial">Moore Machine</a>

</div>

<div id="wrapper4">

	<p><IMG Src=silverball.gif ALT="*">
	<a onclick="switchMenu('myvar4');" title="Pushdown_Automata">Pushdown Automata</a></p>

	<div id="myvar4">
	<h5><li><a href="pda/construct/index.html" target="mainTutorial">Construct and Run</a></li></h5>
	<h5><li><a href="pda/cfg/index.html" target="mainTutorial">Convert to CFG</a></li></h5>

	</div>
</div>

<div id="wrapper5">

	<p><IMG Src=silverball.gif ALT="*">
    <a onclick="switchMenu('myvar5');" title="Turing_Machine">Turing Machine</a></p>

	<div id="myvar5">
	<h5><li><a href="turing/one/index.html" target="mainTutorial">Construct and Run</a></li></h5>
	<h5><li><a href="turing/multi/index.html" target="mainTutorial">Multiple Tape</a></li></h5>
	<h5><li><a href="turing/buildingblocks/buildingblocks.htm" target="mainTutorial">Building Blocks</a></li></h5>
	<h5><li><a href="turing/conversion/conversion.html" target="mainTutorial">Convert to UG</a></li></h5>
	
	</div>
</div>

<div id="wrapper6">

	<p><IMG Src=silverball.gif ALT="*">
    <a onclick="switchMenu('myvar6');" title="Grammar">Grammar</a></p>

	<div id="myvar6">
	<h5><li><a href="grammar/intro/index.html" target="mainTutorial">Enter Grammar</a></li></h5>
	<h5><li><a href="grammar/test/index.html" target="mainTutorial">Test for Grammar Type</a></li></h5>
	<h5><li><a href="grammar/bruteforceCFG/index.html" target="mainTutorial">Brute Force Parser - Regular or CFG</a></li></h5>
<!--	<dd><a href="grammar/bruteforceCFG/index.html" target="mainTutorial">- Regular or CFG</a></dd></h5> -->
	<h5><li><a href="grammar/multirun/index.html" target="mainTutorial">Multi Run Brute Force Parser</a></li></h5>
	<h5><li><a href="grammar/bruteforceURG/index.html" target="mainTutorial">Brute Force Parser - Unrestricted Grammar</a></li></h5>
<!--	<dd><a href="grammar/bruteforceURG/index.html" target="mainTutorial">- Unrestricted Grammar</a></dd></h5> -->
	<h5><li><a href="grammar/user_control_parsing/index.html" target="mainTutorial">User Control Parser</a></li></h5>
	<h5><li><a href="grammar/cyk/index.html" target="mainTutorial">CYK Parser</a></li></h5>
	<h5><li><a href="grammar/LL/index.html" target="mainTutorial">Build LL(1) Parse Table</a></li></h5>
	<h5><li><a href="grammar/slr/index.html" target="mainTutorial">Build SLR(1) Parse Table</a></li></h5>
	<h5><li><a href="grammar/toFA/index.html" target="mainTutorial">Convert Right-Linear Grammar to FA</a></li></h5> 
<!--	<dd><a href="grammar/toFA/index.html" target="mainTutorial">Grammar to FA</a></dd></h5>  -->
	<h5><li><a href="grammar/toPDA/index.html" target="mainTutorial">Convert CFG to PDA(LL)</a></li></h5>
	<h5><li><a href="grammar/toPDALR/index.html" target="mainTutorial">Convert CFG to PDA(LR)</a></li></h5>
	<h5><li><a href="grammar/transform/index.html" target="mainTutorial">Transform Grammar</a></li></h5>

	</div>


</div>

<div id="wrapper7">
	<p><IMG Src=silverball.gif ALT="">
	<a href="lsystem/index.html" target="mainTutorial">L-System</a>
</div>

<div id="wrapper8">

	<p><IMG Src=silverball.gif ALT="*">
	<a href="regular/index.html" target="mainTutorial">Regular Expressions</a>
</div>

<div id="wrapper9">
	<p><IMG Src=silverball.gif ALT="">
	<a href="pumpinglemma/regular/index.html" target="mainTutorial">Regular Pumping Lemma</a>

</div>

<div id="wrapper10">
	<p><IMG Src=silverball.gif ALT="">
	<a href="pumpinglemma/context_free/index.html" target="mainTutorial">Context-Free Pumping Lemma</a>
</div>

<div id="wrapper11">
	<p><IMG Src=silverball.gif ALT="">
    <a href="batch/batch.htm" target="mainTutorial">Batch Mode</a></p>
</div>

<div id="wrapper12">
	<p><IMG Src=silverball.gif ALT="">
    <a href="guiChanges/index.html" target="mainTutorial">Preferences</a></p>
</div>

<hr>
</body>
</html>


